﻿Imports System.Collections.Generic
Imports System.ComponentModel
Imports Wisej.Core
Partial Class Darkroom
    Inherits Widget
#Region "Properties"
    ''' <summary>
    ''' Overridden to create our initialization script.
    ''' </summary>
    ''' <returns></returns>
    <Browsable(False)>
    <DesignerSerializationVisibility(DesignerSerializationVisibility.Hidden)>
    Public Overrides Property InitScript As String
        Get
            Return BuildInitScript()
        End Get

        Set(ByVal value As String)
        End Set
    End Property
    ''' <summary>
    ''' Overridden to return our list of script resources.
    ''' </summary>
    ''' <returns></returns>
    <Browsable(False)>
    <DesignerSerializationVisibility(DesignerSerializationVisibility.Hidden)>
    Public Overrides ReadOnly Property Packages As List(Of Package)
        Get
            If MyBase.Packages.Count = 0 Then
                MyBase.Packages.Add(New Package() With {.Name = "darkroom.js", .Source = GetResourceURL("Wisej.Web.Ext.Darkroom.JavaScript.dardkroom.js")})
                MyBase.Packages.Add(New Package() With {.Name = "fabric.js", .Source = GetResourceURL("Wisej.Web.Ext.Darkroom.JavaScript.fabric.js")})
                MyBase.Packages.Add(New Package() With {.Name = "darkroom.css", .Source = GetResourceURL("Wisej.Web.Ext.Darkroom.JavaScript.dardkroom.css")})
            End If

            Return MyBase.Packages
        End Get
    End Property
#End Region
    Private Function BuildInitScript() As String
        Dim [me] As IWisejControl = Me
        Dim options As DynamicObject = New DynamicObject()
        Dim script As String = GetResourceString("Wisej.Web.Ext.Darkroom.JavaScript.startup.js")
        Return script
    End Function
End Class
