this.init = function (options) {
    // create the image element
    this.container.innerHTML = "<img style='width:100%' src='" + options.image + "'/>";

    // allow overflow to show the toolbar.
    this.getContentElement().setStyle("overflow", "visible");

    this.darkroom = new Darkroom(this.container.firstChild, {

        // Canvas initialization size
        minWidth: 100,
        minHeight: 100,
        maxWidth: this.getWidth(),

        plugins: {

            crop: {
                minHeight: 50,
                minWidth: 50,
                ratio: 1
            },

            save: {
                callback: this.save.bind(this)
            }
        }

    });

}
this.save = function () {

    this.fireWidgetEvent("save", this.darkroom.canvas.toDataURL());

}
/**
 * Called when the options change. It lets the 
 * widget decide whether to update an existing
 * third-party control or to create a new one.
 */
this.update = function (options) {
        // load image
    this.init(options);
}